app/Http/routes.php
<?php

// Patterns
Route::pattern('id', '[0-9]+');

Route::get('user/{username}', ['as' => 'user', 'uses' => 'UserController@getUser']);
Route::get('user/{username}/favorites', ['as' => 'users.favorites', 'uses' => 'UserController@getFavorites']);
Route::get('user/{username}/followers', ['as' => 'users.followers', 'uses' => 'UserController@getFollowers']);
Route::get('users', ['as' => 'users', 'uses' => 'UserController@getAll']);
Route::get('productos/{category?}', ['as' => 'products', 'uses' => 'ProductCategoryController@getCategory'])->where('category', '(.*)');
Route::get('producto/{id}/{slug?}', ['as' => 'product', 'uses' => 'ProductController@getIndex']);
Route::get('media/{id}/{slug?}', ['as' => 'media', 'uses' => 'MediaController@getMedia']);
Route::get('tag/{tag}', ['as' => 'tags', 'uses' => 'TagsController@getIndex']);
Route::get('notifications', ['as' => 'notifications', 'uses' => 'UserController@getNotifications']);
Route::get('tos', ['as' => 'tos', 'uses' => 'PolicyController@getTos']);
Route::get('privacy', ['as' => 'privacy', 'uses' => 'PolicyController@getPrivacy']);
Route::get('faq', ['as' => 'faq', 'uses' => 'PolicyController@getFaq']);
Route::get('about', ['as' => 'about', 'uses' => 'PolicyController@getAbout']);
Route::get('search', ['as' => 'search', 'uses' => 'ProductController@search']);
Route::get('featured', ['as' => 'products.featured', 'uses' => 'ProductController@featured']);
Route::get('popular', ['as' => 'products.popular', 'uses' => 'ProductController@mostPopular']);
Route::get('most/viewed', ['as' => 'products.most.viewed', 'uses' => 'ProductController@mostViewed']);
Route::get('most/commented', ['as' => 'products.most.commented', 'uses' => 'ProductController@mostCommented']);
Route::get('most/favorites', ['as' => 'products.most.favorites', 'uses' => 'ProductController@mostFavorited']);
Route::get('blogs', ['as' => 'blogs', 'uses' => 'BlogController@getIndex']);
Route::get('blog/{id}/{slug}', ['as' => 'blog', 'uses' => 'BlogController@getBlog']);
Route::get('lang/{lang?}', 'PolicyController@switchLang');
Route::post('queue/receive', 'PolicyController@queue');

/**
 * Guest only visit this section
 */
Route::group(['middleware' => 'guest'], function () {
    Route::get('login', ['as' => 'login', 'uses' => 'Auth\LoginController@getLogin']);
    Route::get('auth/{provider}', 'Auth\LoginController@getSocial');
    Route::get('auth/{provider}/callback', 'Auth\LoginController@getSocialCallback');
    Route::get('registration/{provider}', 'Auth\RegistrationController@getSocialRegister');
    Route::get('registration', ['as' => 'registration', 'uses' => 'Auth\RegistrationController@getIndex']);
    Route::get('registration/activate/{username}/{code}', 'Auth\RegistrationController@validateUser');
    Route::get('password/email', ['as' => 'password.reminder', 'uses' => 'Auth\PasswordController@getEmail']);
    Route::get('password/reset/{token}', 'Auth\PasswordController@getReset');
});

/**
 * Guest Post form with csrf protection
 */
Route::group(['middleware' => 'csrf:guest'], function () {
    Route::post('login', 'Auth\LoginController@postLogin');
    Route::post('registration/{provider}', 'Auth\RegistrationController@postSocialRegister');
    Route::post('password/email', 'Auth\PasswordController@postEmail');
    Route::post('password/reset/{token}', 'Auth\PasswordController@postReset');
    Route::post('registration', 'Auth\RegistrationController@postIndex');
});

/*
 * Ajax post
 */
Route::group(['middleware' => 'auth'], function () {

    //    Ajax Routes
    Route::post('favorite', 'ImageController@postFavorite');
    Route::post('follow', 'UserController@follow');
    Route::post('reply', 'ReplyController@postReply');
    Route::post('votecomment', 'CommentController@vote');
    Route::post('votereply', 'ReplyController@vote');
    Route::post('deletecomment', 'CommentController@postDeleteComment');
    Route::post('deletereply', 'ReplyController@delete');

    //    Non-Ajax Routes
    Route::get('logout', ['as' => 'logout', 'uses' => 'Auth\LoginController@getLogout']);
    Route::get('feeds', ['as' => 'users.feeds', 'uses' => 'UserController@getFeeds']);
    Route::get('user/{username}/following', ['as' => 'users.following', 'uses' => 'UserController@getFollowing']);
    Route::get('media/{any}/download', ['as' => 'media.download', 'uses' => 'MediaController@download']);
    Route::get('settings', ['as' => 'users.settings', 'uses' => 'UserController@getSettings']);
    Route::get('user/{username}/report', ['as' => 'user.report', 'uses' => 'ReportController@getReport']);

});

/**
 * Post Sections CSRF + AUTH both
 */
Route::group(['middleware' => 'csrf:auth'], function () {
    Route::post('product/{id}/{slug?}', 'ProductController@postComment');
    Route::post('settings/changepassword', 'UserController@postChangePassword');
    Route::post('settings/updateprofile', 'UserController@postUpdateProfile');
    Route::post('settings/mailsettings', 'UserController@postMailSettings');
    Route::post('settings/updateavatar', 'UserController@postUpdateAvatar');
    Route::post('user/{username}/report', 'ReportController@postReportUser');
});


Route::group(['middleware' => 'admin', 'namespace' => 'Admin'], function () {

    Route::get('admin', ['as' => 'admin', 'uses' => 'IndexController@getIndex']);

    // Comment Manger
    Route::get('admin/comments', ['as' => 'admin.comments', 'uses' => 'Comment\CommentController@getIndex']);
    Route::get('admin/comments/data', ['as' => 'admin.comments.data', 'uses' => 'Comment\CommentController@getData']);
    Route::get('admin/comments/{id}/edit', ['as' => 'admin.comments.edit', 'uses' => 'Comment\CommentController@getEdit']);
    Route::post('admin/comments/{id}/edit', ['as' => 'admin.comments.edit', 'uses' => 'Comment\CommentController@postEdit']);

    // Product
    Route::get('admin/products', ['as' => 'admin.products', 'uses' => 'Product\ProductController@getList']);
    Route::get('admin/products/data', ['as' => 'admin.products.data', 'uses' => 'Product\ProductController@getData']);
    // mas cercano a REST con verbs
    Route::get('admin/products/{id}/edit', ['as' => 'admin.products.edit', 'uses' => 'Product\ProductController@edit']);
    Route::patch('admin/products/{id}/edit', ['as' => 'admin.products.edit', 'uses' => 'Product\ProductController@patch', 'before' => 'csrf']);
    Route::delete('admin/products/{id}/edit', ['as' => 'admin.products.edit', 'uses' => 'Product\ProductController@delete', 'before' => 'csrf']);
    Route::get('admin/products/{id}/clearcache', ['as' => 'admin.products.clearcache', 'uses' => 'Product\ProductController@clearCache']);
    Route::put('admin/products/create', ['as' => 'admin.products.create', 'uses' => 'Product\ProductController@put', 'before' => 'csrf']);
    Route::post('admin/products/approve', ['as' => 'admin.products.approve', 'uses' => 'Product\ProductController@approve']);
    Route::get('admin/products/{id}/clone', ['as' => 'admin.products.clone', 'uses' => 'Product\ProductController@doClone']);

    // Product Category
    Route::get('admin/productcategories', ['as' => 'admin.productcategories', 'uses' => 'ProductCategory\ProductCategoryController@index']);
    Route::post('admin/productcategories', 'ProductCategory\ProductCategoryController@createCategory'); // Add
    Route::post('admin/productcategories/reorder', 'ProductCategory\ProductCategoryController@reorderCategory');
    Route::get('admin/productcategories/{id}/edit', ['as' => 'admin.productcategories.edit', 'uses' => 'ProductCategory\ProductCategoryController@edit']);
    Route::post('admin/productcategories/{id}/update', ['as' => 'admin.productcategories.update', 'uses' => 'ProductCategory\ProductCategoryController@update']);
    Route::delete('admin/productcategories/{id}/edit', ['as' => 'admin.productcategories.edit', 'uses' => 'ProductCategory\ProductCategoryController@delete']);
    Route::get('admin/productcategories/{id}/items', ['as' => 'admin.productcategories.items', 'uses' => 'ProductCategory\ProductCategoryController@items']);
    Route::post('admin/productcategories/{id}/items', ['as' => 'admin.productcategories.items', 'uses' => 'ProductCategory\ProductCategoryController@itemsupdate']);
    Route::get('admin/productcategories/productlist', ['as' => 'admin.productcategories.productlist', 'uses' => 'ProductCategory\ProductCategoryController@productlist']);


    // Media
    Route::get('admin/media', ['as' => 'admin.media', 'uses' => 'MediaController@getList']);
    Route::get('admin/media/data', ['as' => 'admin.media.data', 'uses' => 'MediaController@getData']);
    // mas cercano a REST con verbs
    Route::get('admin/media/{id}/edit', ['as' => 'admin.media.edit', 'uses' => 'MediaController@edit']);
    Route::patch('admin/media/{id}/edit', ['as' => 'admin.media.edit', 'uses' => 'MediaController@patch', 'before' => 'csrf']);
    Route::delete('admin/media/{id}/edit', ['as' => 'admin.media.edit', 'uses' => 'MediaController@delete', 'before' => 'csrf']);
    Route::get('admin/media/{id}/use', ['as' => 'admin.media.use', 'uses' => 'MediaController@getUse']);
    Route::get('admin/media/{id}/clearcache', ['as' => 'admin.media.clearcache', 'uses' => 'MediaController@clearCache']);
    Route::put('admin/media/create', ['as' => 'admin.media.create', 'uses' => 'MediaController@put', 'before' => 'csrf']);
    Route::get('admin/media/bulkupload', ['as' => 'admin.media.bulkupload', 'uses' => 'MediaController@getBulkUpload']);
    Route::post('admin/media/bulkupload', ['as' => 'admin.media.bulkupload', 'uses' => 'MediaController@postBulkUpload']);


    // Blogs
    Route::get('admin/blogs', ['as' => 'admin.blogs', 'uses' => 'Blog\BlogController@getIndex']);
    Route::get('admin/blogs/data', ['as' => 'admin.blogs.data', 'uses' => 'Blog\BlogController@getData']);
    Route::get('admin/blogs/create', ['as' => 'admin.blogs.create', 'uses' => 'Blog\BlogController@getCreate']);

app/Models/Product.php
<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;
// use Illuminate\Database\Eloquent\SoftDeletes;

class Product extends Profiled
{
    // use SoftDeletes;

    protected $table = 'products';
    protected $softDelete = true;
    protected $dates = ['deleted_at', 'featured_at'];


    public static function scopeApproved()
    {
        return static::whereNotNull('approved_at');
    }

    public static function scopePublished()
    {
        return static::where('published',1);
    }

    public function info()
    {
        return $this->hasOne(ProductInfo::class, 'product_id');
    }

    public function categories()
    {
        return $this->belongsToMany('App\Models\ProductCategory', 'product_x_category', 'product_id', 'product_category_id');
    }

    public function hasCategory($id){
        return ! $this->categories->filter(function($category) use ($id)
        {
            return $category->id == $id;
        })->isEmpty();
    }

    public function getLink()
    {
        $res = new \stdClass();

        if($this->is_microsite==1){
            $res->url = $this->microsite;
            $res->target = '_blank';
        }
        else{
            $res->url = route('product', ['id' => $this->id, 'slug' => $this->slug]);;
            $res->target = '_self';
        }

        return $res;
    }


}

app/Models/User.php
<?php
namespace App\Models;

use Illuminate\Auth\Authenticatable;
use Illuminate\Auth\Passwords\CanResetPassword;
use Illuminate\Contracts\Auth\Access\Authorizable as AuthorizableContract;
use Illuminate\Contracts\Auth\Authenticatable as AuthenticatableContract;
use Illuminate\Contracts\Auth\CanResetPassword as CanResetPasswordContract;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Foundation\Auth\Access\Authorizable;

class User extends Model implements AuthenticatableContract, AuthorizableContract, CanResetPasswordContract
{

    use Authenticatable, Authorizable, CanResetPassword, SoftDeletes;

    protected $table = 'users';

    protected $hidden = ['password', 'email_confirmation', 'remember_token'];

    protected $softDelete = true;

    protected $dates = ['deleted_at', 'featured_at'];

    public function getAuthIdentifier()
    {
        return $this->getKey();
    }

    public function getAuthPassword()
    {
        return $this->password;
    }

    public function getReminderEmail()
    {
        return $this->email;
    }

    public function getRememberToken()
    {
        return $this->remember_token;
    }

    public function setRememberToken($value)
    {
        $this->remember_token = $value;
    }

    public function getRememberTokenName()
    {
        return 'remember_token';
    }

    public function scopeConfirmed()
    {
        return static::whereNotNull('confirmed_at');
    }

    public function getFullnameAttribute($value)
    {
        return ucfirst($value);
    }

    public function products()
    {
        return $this->hasMany(Product::class);
    }

    public function latestProducts()
    {
        return $this->hasMany(Product::class)->orderBy('approved_at', 'desc');
    }

    // public function comments()
    // {
    //     return $this->hasMany(Comment::class);
    // }

    public function favorites()
    {
        return $this->hasMany(Favorite::class, 'user_id');
    }

    public function followers()
    {
        return $this->hasMany(Follow::class, 'follow_id');
    }

    public function following()
    {
        return $this->hasMany(Follow::class, 'user_id');
    }

    public function notifications()
    {
        return $this->hasMany(Notification::class, 'user_id');
    }

    public function votes()
    {
        return $this->hasMany('Votes', 'user_id');
    }


    public function profiles()
    {
        return $this->belongsToMany('App\Models\Profile', 'user_x_profile', 'user_id', 'profile_id');
    }

    // public function hasProfile($id){

    //     return ! $this->profiles->filter(function($profile) use ($id)
    //     {
    //         return $profile->id == $id;
    //     })->isEmpty();

    // }

    public function isSuper()
    {
        return $this->profiles()->where('profile_id', 0)->first();
    }

    public function isAdmin()
    {
        // var_dump($this->profiles->pluck('profile_id')->all());
        // exit();
        return $this->profiles()->where('profile_id', 1)->first();
    }




}

app/Http/Controllers/ProductController.php
<?php
namespace App\Http\Controllers;

use App\Helpers\ResizeHelper;
use App\Repository\FavoriteRepositoryInterface;
use App\Repository\ProductRepositoryInterface;
use App\Repository\ProductCategoryRepositoryInterface;
use App\Http\Requests\Product\EditRequest;
use App\Http\Requests\Product\Favorite;
use Illuminate\Support\Facades\Crypt;

class ProductController extends Controller
{

    public function __construct(ProductRepositoryInterface $product, FavoriteRepositoryInterface $favorite, ProductCategoryRepositoryInterface $category)
    {
        $this->product = $product;
        $this->favorite = $favorite;
        $this->category = $category;
    }

    public function getIndex($id, $slug = null)
    {

        $product = $this->product->getById($id);

        $categories = $product->categories;

        if (empty($slug) or $slug != $product->slug) {
            return redirect()->route('product', ['id' => $product->id, 'slug' => $product->slug], 301);
        }

        \Event::fire('App\Events', $product);

        // $comments = $product->comments()->with('user', 'replies')->orderBy('created_at', 'desc')->paginate(10);

        $title = ucfirst($product->title);

        foreach ($product->categories as $cat) {
            $cat->link = $this->category->getLink($cat->slug);
        }

        return view('product.view', compact('product', 'previous', 'title'));
        // return view('product.view', compact('product', 'comments', 'previous'));
    }

    public function postFavorite(Favorite $request)
    {
        return $this->favorite->favorite($request);
    }

    public function featured(Request $request)
    {
        $products = $this->products->getFeatured($request->get('category'), $request->get('timeframe'));
        $title = t('Featured Images');

        return view('gallery.index', compact('products', 'title'));
    }


    public function mostPopular(Request $request)
    {
        $products = $this->products->popular($request->get('timeframe'));
        $title = t('Popular');

        return view('gallery.index', compact('products', 'title'));
    }

    public function mostViewed(Request $request)
    {
        $products = $this->products->mostViewed($request->get('timeframe'));
        $title = t('Most Viewed');

        return view('gallery.index', compact('products', 'title'));
    }

    public function getByTags($tag)
    {
        $products = $this->products->getByTags($tag);
        $title = sprintf('%s %s', t('Tagged With'), ucfirst($tag));

        return view('gallery.index', compact('products', 'title'));
    }

    public function search(Request $request)
    {
        $this->validate($request, ['q' => 'required']);

        $products = $this->products->search($request->get('q'), $request->get('category'), $request->get('timeframe'));

        $title = sprintf('%s %s', t('Searching for'), ucfirst($request->get('q')));

        return view('gallery.index', compact('title', 'products'));
    }

}

resources/views/product/category.blade.php
@extends('master/index')


@section('sidebar')

    <ul>
        <?php

        $curDepth = 0;
        $counter = 0;
        foreach ($categories as $c){

            if ($c->depth == $curDepth){
                if ($counter > 0) echo "</li>";
            }
            elseif ($c->depth > $curDepth){
                echo "<ul>";
                $curDepth = $c->depth;
            }
            elseif ($c->depth < $curDepth){
                echo str_repeat("</li></ul>", $curDepth - $c->depth), "</li>";
                $curDepth = $c->depth;
            }

            ?>
            <li id='category_{{ $c->id }}' data-id='{{ $c->id }}'>
            <a href="{{ $c->getLink() }}">{{ $c->name }}</a>
            <?php

            $counter++;
        }

        echo str_repeat("</li></ol>", $curDepth), "</li>";

        ?>
    </ul>

@endsection


@section('content')

	<div class="row">
          <a class="breadcrum" href="{{ route('products') }}/">{{ t('Products') }}</a><span>&nbsp;/&nbsp;</span>
        @foreach($breadcrum as $a)
            <a class="breadcrum" href="{{ route('products') }}/{{ $a->link }}">{{ str_limit($a->name, 40) }}</a><span>&nbsp;/&nbsp;</span>
        @endforeach
        <h1>{{ $category->name }}</h1>
    </div>

    <div class="row">
        <ul class="product-list">
        @foreach($items as $item)
            <li>
                <a href="{{ $item->getLink()->url }}" target="{{ $item->getLink()->target }}" id="{{ $item->slug }}">
                    <img class="display-image image" data-original="{{ Resize::img($item->main_image, 'featuredProduct')  }}" alt="{{ $item->title }}">
                    <h3 class="title">{{ str_limit($item->title,80) }}</h3>
                </a>
            </li>
        @endforeach
        </ul>
    </div>

@endsection


@section('extra-js')

    <script>
        (function() {

        })();
    </script>
@endsection

resources/views/product/comment.blade.php
<div class="comments-block">
    <h3 class="content-heading">{{ t('Comments') }}</h3>
    {!! Form::open() !!}
    <div class="form-group">
        {!! Form::textarea('comment', null,['class'=>"form-control",'rows'=>2,'placeholder'=>t('Comment')]) !!}
    </div>
    <div class="form-group">
        {!! Form::submit(t('Comment'),['class'=>'btn btn-info']) !!}
    </div>
    {!! Form::close() !!}

    @foreach($comments as $comment)
        <div class="media" id="comment-{{ $comment->id }}">
            <a class="pull-left" href="{{ route('user', ['user' => $comment->user->username]) }}">
                <img class="media-object" src="{{ Resize::img($comment->user->avatar,'avatar') }}" alt="{{ $comment->user->fullname }}">
            </a>

            <div class="media-body">
                <h4 class="media-heading"><a href="{{ route('user', ['user' => $comment->user->username]) }}">{{ ucfirst($comment->user->fullname) }}</a> <span class="pull-right">
                @if(auth()->check() == true AND ($comment->user_id == auth()->user()->id || $product->user->id == auth()->user()->id))
                            <button data-content="{{ $comment->id }}" type="button" class="close delete-comment" aria-hidden="true">&times;</button>
                        @endif
                        <i class="comment-time fa fa-clock-o"></i> <abbr class="timeago comment-time" title="{{ $comment->created_at->toISO8601String() }}">{{ $comment->created_at->toISO8601String() }}</abbr>
                </span></h4>
                <p>{!! \App\Helpers\Smilies::parse($comment->comment)  !!}</p>
                <span class="comment-vote"><span id="data-comment-{{ $comment->id }}">{{ $comment->votes->count() }}</span> <a class="fa fa-chevron-circle-up fa-fw {{ checkVoted($comment->votes) == true ? 'comment-voted':'' }}  {{ auth()->check() == true ? 'vote-comment':'' }}" data-id="{{ $comment->id }}"></a></span>
                @if(auth()->check())
                    <a class="replybutton" id="box-{{ $comment->id }}">{{ t('Reply') }}</a>
                    <div class="commentReplyBox" id="openbox-{{ $comment->id }}">
                        <div class="form-group">
                            <input type="hidden" name="pid" value="19">
                            {!! Form::textarea('comment', null ,['id'=>'textboxcontent'.$comment->id,'class'=>"form-control",'rows'=>2,'placeholder'=>t('Comment')]) !!}
                        </div>
                        <div class="form-group">
                            <button class="btn btn-info replyMainButton" id="{{ $comment->id }}">{{ t('Reply') }}</button>
                            <a class="closebutton" id="box-{{ $comment->id }}">{{ t('Cancel') }}</a>
                        </div>
                    </div>
                    <span class="reply-add-{{ $comment->id }}"></span>
                @endif
                @foreach($comment->replies as $reply)
                    <hr/>
                    <div class="media" id="reply-{{ $reply->id }}">
                        <a class="pull-left" href="{{ route('user', ['user' => $reply->user->username]) }}">
                            <img class="media-object" src="{{ Resize::img($reply->user->avatar, 'avatar') }}" alt="{{ $reply->user->fullname }}">
                        </a>

                        <div class="media-body">
                            <h4 class="media-heading"><a href="{{ route('user', ['user' => $reply->user->username]) }}">{{ ucfirst($reply->user->fullname) }}</a> <span class="pull-right">
                                    @if(auth()->check() === true AND ($reply->user_id == auth()->user()->id || $product->id == auth()->user()->id || $reply->comment->user->id == auth()->user()->id))
                                        <span class="right"><button data-content="{{ $reply->id }}" type="button" class="close delete-reply" aria-hidden="true">&times;</button></span>
                                    @endif
                                    <i class="comment-time fa fa-clock-o"></i> <abbr class="timeago comment-time" title="{{ $reply->created_at->toISO8601String() }}">{{ $reply->created_at->toISO8601String() }}</abbr> </span></h4>
                            <p>{!! \App\Helpers\Smilies::parse($reply->reply) !!}</p>

                            <p><span class="comment-vote"><span id="data-reply-{{ $reply->id }}">{{ $reply->votes->count() }}</span> <a class="fa fa-chevron-circle-up fa-fw {{ checkVoted($reply->votes) == true ? 'comment-voted':'' }} {{ auth()->check() == true ? 'vote-reply':'' }}" data-id="{{ $reply->id }}"></a></span></p>
                        </div>
                    </div>
                @endforeach
            </div>
            <hr/>
        </div>
    @endforeach
    <div class="row">
        {!! $comments->render() !!}
    </div>
</div>

resources/views/product/index.blade.php
@extends('master/index')



@section('sidebar')
sdsaaaddasa
@endsection


@section('content')

    <a class="breadcrum" href="{{ route('products') }}/">{{ t('Products') }}</a><span>&nbsp;/&nbsp;</span>

	<div class="row">
        <h1>{{ $title }}</h1>
    </div>

    <div class="row">
        <div class="col-md-5 col-sm-5">
            <ul>
                <?php

                $curDepth = 0;
                $counter = 0;
                foreach ($categories as $category){

                    if ($category->depth == $curDepth){
                        if ($counter > 0) echo "</li>";
                    }
                    elseif ($category->depth > $curDepth){
                        echo "<ul>";
                        $curDepth = $category->depth;
                    }
                    elseif ($category->depth < $curDepth){
                        echo str_repeat("</li></ul>", $curDepth - $category->depth), "</li>";
                        $curDepth = $category->depth;
                    }

                    ?>
                    <li id='category_{{ $category->id }}' data-id='{{ $category->id }}'>
                    <a href="{{ $category->getLink() }}">{{ $category->name }}</a>
                    <?php

                    $counter++;
                }

                echo str_repeat("</li></ol>", $curDepth), "</li>";

                ?>
            </ul>
        </div>
    </div>

@endsection

@section('extra-js')

    <script>
        (function() {

        })();
    </script>

@endsection

resources/views/product/sidebar.blade.php
<div class="clearfix">
    <h3 class="content-heading">{{ t('Share This') }}</h3>
    @include('master/share')
</div>


@if($product->tags)
    <h3 class="content-heading">{{ t('Tags') }}</h3>
    <ul class="list-inline taglist">
        @foreach(explode(',',$product->tags) as $tag)
            <li><a href="{{ route('tags',$tag) }}" class="tag"><span class="label label-info">{{ $tag }}</span></a></li>
        @endforeach
    </ul>
@endif

@if($product->categories)
    <h3 class="content-heading">{{ t('Categories') }}</h3>
    <ul class="list-inline taglist">
        @foreach($product->categories as $cat)
            <li><a href="{{ route('products') }}/{{ $cat->link }}" class="category"><span class="label label-info">{{ $cat->name }}</span></a></li>
        @endforeach
    </ul>
@endif

resources/views/product/view.blade.php
@extends('master/index')

@section('meta')
   <meta name="description" content="{{ strlen($product->description) > 2 ? $product->description : $product->title.' '.siteSettings('description') }}">
   <meta name="keywords" content="{{ strlen($product->tags) > 2 ? $product->tags : $product->title }}">
   <meta property="og:title" content="{{ $product->title }} - {{ siteSettings('siteName') }}"/>
   <meta property="og:type" content="article"/>
   <meta property="og:url" content="{{ route('product', ['id' => $product->id, 'slug' => $product->slug]) }}"/>
   <meta property="og:description" content="{{ strlen($product->description) > 2 ? $product->description : $product->title.' '.siteSettings('description') }}"/>
   <meta property="og:product" content="{{ Resize::img($product->main_image,'mainProduct') }}"/>
   <meta name="author" content="{{ $product->user->fullname }}">
@endsection

@section('content')

   <img src="{{ Resize::img($product->info->cover_image,'coverProduct') }}"  width="500"/>

   <h1 class="content-heading">{{ $product->title }}</h1>
   <div class="main-product">
      <p>
      <a href="{{ Resize::img($product->main_image,'mainProduct') }}" class="product">
         <img src="{{ Resize::img($product->main_image,'mainProduct') }}" alt="{{ $product->title }}" class="mainProduct img-thumbnail"/>
      </a>
      </p>
   </div>
   <!--.main-product-->
   <div class="clearfix">
      <div class="row">
         <div class="col-md-8">
            <h3 class="content-heading">
               {{ t('Description') }}
            </h3>
            <p>{!! nl2br(\App\Helpers\Smilies::parse($product->description))  !!}</p>
         </div>
         <div class="col-md-4">
            <h3 class="content-heading">{{ t('Details') }}</h3>
            <div class="product-status">
               <ul class="list-inline">
                  <li><i class="fa fa-eye"></i> {{ $product->views }}</li>
               </ul>
            </div>
         </div>
      </div>
   </div>
   <!--.clearfix-->

@endsection

@section('sidebar')
   @include('product/sidebar')
@endsection